; ============================================================================
; =                                                                          =
; = Fish Tank Simulator for GameBoy v2.0                                     =
; = (C) Paul Alan Freshney 1999 - 2023                                       =
; =                                                                          =
; = Various Constants                                                        =
; =                                                                          =
; =                                                                          =
; = February 12th 2023                                                       =
; =                                                                          =
; ============================================================================

; ===================================================================================
; ===================================================================================
; ===================================================================================	

_key_down   EQU $80
_key_up     EQU $40
_key_left   EQU $20
_key_right  EQU $10
_key_start  EQU $08
_key_select EQU $04
_key_b      EQU $02
_key_a      EQU $01

; ===================================================================================
; == Menu ===========================================================================
; ===================================================================================	

_CR			EQU $03 ; copyright symbol
_SL			EQU $11 ; /
_HT			EQU $30 ; heart
_DT			EQU	$31 ; .

_1			EQU $37
_2			EQU $38
_3			EQU $39
_4			EQU $3A
_5			EQU $3B
_6			EQU $3C
_7			EQU $3D
_8			EQU $3E
_9			EQU $3F
_0			EQU $40

_A			EQU	$41
_B			EQU	$42
_C			EQU	$43
_D			EQU	$44
_E			EQU	$45
_F			EQU	$46
_G			EQU	$47
_H			EQU	$48
_I			EQU	$49
_J			EQU	$4A
_K			EQU	$4B
_L			EQU	$4C
_M			EQU	$4D
_N			EQU	$4E
_O			EQU	$4F
_P			EQU	$50
_Q			EQU	$51
_R			EQU	$52
_S			EQU	$53
_T			EQU	$54
_U			EQU	$55
_V			EQU	$56
_W			EQU	$57
_X			EQU	$58
_Y			EQU	$59
_Z			EQU	$5A

; ===================================================================================
; == Instructions, Fish Tank and Designer ===========================================
; ===================================================================================	

_CR_		EQU $E4 ; copyright symbol
_SL_		EQU $11 ; /
_HT_		EQU $43 ; heart
_DT_		EQU	$56 ; .

_1_			EQU $5C
_2_			EQU $5D
_3_			EQU $5E
_4_			EQU $5F
_5_			EQU $60
_6_			EQU $61
_7_			EQU $62
_8_			EQU $63
_9_			EQU $64
_0_			EQU $65

_A_			EQU	$66
_B_			EQU	$67
_C_			EQU	$68
_D_			EQU	$69
_E_			EQU	$6A
_F_			EQU	$6B
_G_			EQU	$6C
_H_			EQU	$6D
_I_			EQU	$6E
_J_			EQU	$6F
_K_			EQU	$70
_L_			EQU	$71
_M_			EQU	$72
_N_			EQU	$73
_O_			EQU	$74
_P_			EQU	$75
_Q_			EQU	$76
_R_			EQU	$77
_S_			EQU	$78
_T_			EQU	$79
_U_			EQU	$7A
_V_			EQU	$7B
_W_			EQU	$7C
_X_			EQU	$7D
_Y_			EQU	$7E
_Z_			EQU	$7F